# Uses of Interface
org.opensaml.xmlsec.encryption.Generator

Packages that use Generator
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of Generator in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return Generator
Modifier and Type
Method
Description
`Generator`
DHKeyValue.`getGenerator()`
Get the Generator child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type Generator
Modifier and Type
Method
Description
`void`
DHKeyValue.`setGenerator(Generator newGenerator)`
Set the G child element.

## Uses of Generator in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement Generator
Modifier and Type
Class
Description
`class`
`GeneratorImpl`
Concrete implementation of `Generator`.
Fields in org.opensaml.xmlsec.encryption.impl declared as Generator
Modifier and Type
Field
Description
`private Generator`
DHKeyValueImpl.`generator`
Generator child element.
Methods in org.opensaml.xmlsec.encryption.impl that return Generator
Modifier and Type
Method
Description
`Generator`
GeneratorBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`Generator`
GeneratorBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Generator`
DHKeyValueImpl.`getGenerator()`
Get the Generator child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type Generator
Modifier and Type
Method
Description
`void`
DHKeyValueImpl.`setGenerator(Generator newGenerator)`
Set the G child element.